Subject: Re: [PATCH 1/4] dt-bindings: net: broadcom-bluetooth: Add CYW55572 DT binding

From: Rob Herring <[email-masked]>
Date: Mon, 27 Jun 2022 11:34:36 -0600

On Mon, Jun 20, 2022 at 04:06:25PM +0200, Hakan Jansson wrote:
> Hi Krzysztof,
> 
> Thanks for replying.
> 
> On 6/20/2022 2:32 PM, Krzysztof Kozlowski wrote:
> > > CYW55572 is a Wi-Fi + Bluetooth combo device from Infineon.
> > > Extend the binding with its DT compatible.
> > > 
> > > Signed-off-by: Hakan Jansson <[email-masked]>
> > > ---
> > >   Documentation/devicetree/bindings/net/broadcom-bluetooth.yaml | 1 +
> > >   1 file changed, 1 insertion(+)
> > > 
> > > diff --git a/Documentation/devicetree/bindings/net/broadcom-bluetooth.yaml b/Documentation/devicetree/bindings/net/broadcom-bluetooth.yaml
> > > index df59575840fe..71fe9b17f8f1 100644
> > > --- a/Documentation/devicetree/bindings/net/broadcom-bluetooth.yaml
> > > +++ b/Documentation/devicetree/bindings/net/broadcom-bluetooth.yaml
> > > @@ -24,6 +24,7 @@ properties:
> > >         - brcm,bcm43540-bt
> > >         - brcm,bcm4335a0
> > >         - brcm,bcm4349-bt
> > > +      - infineon,cyw55572-bt
> > Patch is okay, but just to be sure - is it entirely different device
> > from Infineon or some variant of Broadcom block?
> 
> CYW55572 is a new device from Infineon. It is not the same as any Broadcom
> device.
> 
> >   Are all existing
> > properties applicable to it as well?
> 
> Yes, all existing properties are applicable.

Including 'brcm,bt-pcm-int-params'? I don't see a BT reset signal 
either, but maybe that's not pinned out in the AzureWave module which 
was the only documentation details I could find[1].

I think a separate doc will be better as it can be more precise as to 
what's allowed or not. It's fine to reuse the same property names 
though.

Rob

[1] https://www.azurewave.com/img/infineon/AW-XH316_DS_DF_A_STD.pdf